#include <bits/stdc++.h>
#define N 1000002
using namespace std;
long long s[N],a[N],m,n,ans=0;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    freopen("daycon.inp","r",stdin);
    freopen("daycon.out","w",stdout);
    cin>>n>>m;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
        s[i]=s[i-1]+a[i];
    }
    for(int i=1;i<=n;i++)
    {
        int x=s[i]-m;
        int j=lower_bound(s,s+i,x)-s;
        x=i-j;
        ans+=x;
    }
    cout <<ans;
    return 0;
}
